<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><link rel="canonical" href="https://gitlab.eclipse.org/eclipse/xfsc/xfsc-spec-2/traincd/traincd/" />
      <link rel="shortcut icon" href="../../img/favicon.ico" />
    <title>Train Concept Documet - XFSC-spec-2</title>
    <link rel="stylesheet" href="../../css/theme.css" />
    <link rel="stylesheet" href="../../css/theme_extra.css" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.8.0/styles/github.min.css" />
    
      <script>
        // Current page data
        var mkdocs_page_name = "Train Concept Documet";
        var mkdocs_page_input_path = "traincd\\traincd.md";
        var mkdocs_page_url = "/eclipse/xfsc/xfsc-spec-2/traincd/traincd/";
      </script>
    
    <!--[if lt IE 9]>
      <script src="../../js/html5shiv.min.js"></script>
    <![endif]-->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.8.0/highlight.min.js"></script>
      <script>hljs.highlightAll();</script> 
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
    <div class="wy-side-scroll">
      <div class="wy-side-nav-search">
          <a href="../.." class="icon icon-home"> XFSC-spec-2
        </a><div role="search">
  <form id ="rtd-search-form" class="wy-form" action="../../search.html" method="get">
      <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../..">Index</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../../notare/notare/">Notare</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../../train/train/">Train</a>
                </li>
              </ul>
              <ul class="current">
                <li class="toctree-l1 current"><a class="reference internal current" href="./">Train Concept Documet</a>
    <ul class="current">
    <li class="toctree-l2"><a class="reference internal" href="#1-motivation">1 Motivation</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#2-introduction">2 Introduction</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#3-vision">3 Vision</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#4-assumptions-side-conditions">4 Assumptions &amp; Side Conditions</a>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#5-concept">5 Concept</a>
        <ul>
    <li class="toctree-l3"><a class="reference internal" href="#51-role-of-the-dnsdnssec">5.1 Role of the DNS/DNSSEC</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#52-functional-roles-and-components-in-train">5.2 Functional Roles and Components in TRAIN</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#53-integration-with-verifiable-credentials">5.3 Integration with Verifiable Credentials</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#54-unified-signature-verification-model-for-trust-lists-via-did-and-vc">5.4 Unified Signature &amp; Verification Model for Trust Lists via DID and VC</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#55-trust-verification">5.5 Trust Verification</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#56-sequence-diagram-trust-list-initialization-trust-list-enrolment-and-update-trust-discovery-and-validation">5.6 Sequence Diagram: Trust List Initialization, Trust List Enrolment and Update, Trust Discovery and Validation</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#57-initial-integration-into-trust-framework-memberships">5.7 Initial Integration into Trust Framework Memberships</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#58-cross-referencing-of-trust-framework-memberships">5.8 Cross-Referencing of Trust Framework Memberships</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#59-integration-into-a-new-trust-framework-with-existing-credentials">5.9 Integration into a New Trust Framework with existing Credentials</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#510-integration-with-tsa">5.10 Integration with TSA</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#511-integration-with-ocm">5.11 Integration with OCM</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#512-integration-with-notary">5.12 Integration with Notary</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#513-required-trust-lists-for-gaia-x">5.13 Required Trust Lists for Gaia-X</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#514-trust-list-formats">5.14 Trust List Formats</a>
    </li>
        </ul>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#6-trusted-content-handling">6 Trusted Content Handling</a>
        <ul>
    <li class="toctree-l3"><a class="reference internal" href="#61-trusted-content-locations">6.1 Trusted Content Locations</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#62-enrolment-process-of-entities-in-trust-lists">6.2 Enrolment Process of Entities in Trust Lists</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#63-trusted-content-resolving">6.3 Trusted Content Resolving</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#64-trusted-content-auditing">6.4 Trusted Content Auditing</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#65-setup-process-for-trust-verification">6.5 Setup Process for Trust Verification</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#66-packages-for-programming-languages">6.6 Packages for Programming Languages</a>
    </li>
        </ul>
    </li>
    <li class="toctree-l2"><a class="reference internal" href="#7-conclusion-and-consequences">7 Conclusion and Consequences</a>
        <ul>
    <li class="toctree-l3"><a class="reference internal" href="#71-security-consolidations-and-implications">7.1 Security consolidations and implications</a>
    </li>
    <li class="toctree-l3"><a class="reference internal" href="#72-advanced-concepts">7.2 Advanced Concepts</a>
        <ul>
    <li class="toctree-l4"><a class="reference internal" href="#721-integration-with-the-ethereum-name-service-ens">7.2.1 Integration with the Ethereum Name Service (ENS)</a>
    </li>
    <li class="toctree-l4"><a class="reference internal" href="#722-establishment-of-trust-against-man-in-the-middle-attacks-pcm-and-ocm">7.2.2 Establishment of Trust against Man-in-the-Middle Attacks: PCM and OCM</a>
    </li>
    <li class="toctree-l4"><a class="reference internal" href="#723-verification-of-the-verifier-from-the-holder">7.2.3 Verification of the Verifier from the Holder</a>
    </li>
    <li class="toctree-l4"><a class="reference internal" href="#724-support-of-federation-membership-verification-in-the-oidc4vp-standard">7.2.4 Support of Federation Membership Verification in the OIDC4VP Standard</a>
    </li>
        </ul>
    </li>
        </ul>
    </li>
    </ul>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../../ocme1/ocme1/">Ocme1</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../../ocmwstack/ocmwstack/">Ocmwstack</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../../pcmcloud/pcmcloud/">Pcmcloud</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../../pcme1/pcme1/">Pcme1</a>
                </li>
              </ul>
              <ul>
                <li class="toctree-l1"><a class="reference internal" href="../../tsae1/tsae1/">Tsae1</a>
                </li>
              </ul>
      </div>
    </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">
      <nav class="wy-nav-top" role="navigation" aria-label="Mobile navigation menu">
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../..">XFSC-spec-2</a>
        
      </nav>
      <div class="wy-nav-content">
        <div class="rst-content"><div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../.." class="icon icon-home" aria-label="Docs"></a></li>
      <li class="breadcrumb-item active">Train Concept Documet</li>
    <li class="wy-breadcrumbs-aside">
    </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
            <div class="section" itemprop="articleBody">
              
                <h2 id="gaia-x-federation-services-for-identity-trust">Gaia-X Federation Services for Identity &amp; Trust</h2>
<p><strong>Trust Management Infrastructure for Gaia-X  Concept Document</strong></p>
<hr />
<h4 id="1-motivation">1 <a href="#motivation">Motivation </a></h4>
<h4 id="2-introduction">2 <a href="#introduction">Introduction </a></h4>
<h4 id="3-vision">3 <a href="#vision">Vision </a></h4>
<h4 id="4-assumptions-side-conditions">4 <a href="#assumptions-side-conditions">Assumptions &amp; Side Conditions</a></h4>
<h4 id="5-concept">5 <a href="#concept">Concept </a></h4>
<blockquote>
<h5 id="51-role-of-the-dnsdnssec">5.1 <a href="#role-of-the-dnsdnssec">Role of the DNS/DNSSEC</a></h5>
<h5 id="52-functional-roles-and-components-in-train">5.2 <a href="#functional-roles-and-components-in-train">Functional Roles and Components in TRAIN</a></h5>
<h5 id="53-integration-with-verifiable-credentials">5.3 <a href="#integration-with-verifiable-credentials">Integration with Verifiable Credentials</a></h5>
<h5 id="54-unified-signature-verification-model-for-trust-lists-via-did-and-vc">5.4 <a href="#unified-signature-verification-model-for-trust-lists-via-did-and-vc">Unified Signature &amp; Verification Model for Trust Lists via DID and VC</a></h5>
<h5 id="55-trust-verification">5.5 <a href="#trust-verification">Trust Verification </a></h5>
<h5 id="56-sequence-diagram-trust-list-initialization-trust-list-enrolment-and-update-trust-discovery-and-validation">5.6 <a href="#sequence-diagram-trust-list-initialization-trust-list-enrolment-and-update-trust-discovery-and-validation">Sequence Diagram: Trust List Initialization, Trust List Enrolment and Update, Trust Discovery and Validation</a></h5>
<h5 id="57-initial-integration-into-trust-framework-memberships">5.7 <a href="#initial-integration-into-trust-framework-memberships">Initial Integration into Trust Framework Memberships</a></h5>
<h5 id="58-cross-referencing-of-trust-framework-memberships">5.8 <a href="#cross-referencing-of-trust-framework-memberships">Cross-Referencing of Trust Framework Memberships</a></h5>
<h5 id="59-integration-into-a-new-trust-framework-with-existing-credentials">5.9 <a href="#integration-into-a-new-trust-framework-with-existing-credentials">Integration into a New Trust Framework with existing Credentials</a></h5>
<h5 id="510-integration-with-tsa">5.10 <a href="#integration-with-tsa">Integration with TSA</a></h5>
<h5 id="511-integration-with-ocm">5.11 <a href="#integration-with-ocm">Integration with OCM</a></h5>
<h5 id="512-integration-with-notary">5.12 <a href="#integration-with-notary">Integration with Notary</a></h5>
<h5 id="513-required-trust-lists-for-gaia-x">5.13 <a href="#required-trust-lists-for-gaia-x">Required Trust Lists for Gaia-X</a></h5>
<h5 id="514-trust-list-formats">5.14 <a href="#trust-list-formats">Trust List Formats</a></h5>
</blockquote>
<h4 id="6-trusted-content-handling">6 <a href="#trusted-content-handling">Trusted Content Handling</a></h4>
<blockquote>
<h5 id="61-trusted-content-locations">6.1 <a href="#trusted-content-locations">Trusted Content Locations</a></h5>
<h5 id="62-enrolment-process-of-entities-in-trust-lists">6.2 <a href="#enrolment-process-of-entities-in-trust-lists">Enrolment Process of Entities in Trust Lists</a></h5>
<h5 id="63-trusted-content-resolving">6.3 <a href="#trusted-content-resolving">Trusted Content Resolving</a></h5>
<h5 id="64-trusted-content-auditing">6.4 <a href="#trusted-content-auditing">Trusted Content Auditing</a></h5>
<h5 id="65-setup-process-for-trust-verification">6.5 <a href="#setup-process-for-trust-verification">Setup Process for Trust Verification</a></h5>
<h5 id="66-packages-for-programming-languages">6.6 <a href="#packages-for-programming-languages">Packages for Programming Languages</a></h5>
</blockquote>
<h4 id="7-conclusion-and-consequences">7 <a href="#conclusion-and-consequences">Conclusion and Consequences</a></h4>
<blockquote>
<h5 id="71-security-consolidations-and-implications">7.1 <a href="#security-consolidations-and-implications">Security consolidations and implications</a></h5>
<h5 id="72-advanced-concepts">7.2 <a href="#advanced-concepts">Advanced Concepts</a></h5>
<blockquote>
<h6 id="721-integration-with-the-ethereum-name-service-ens">7.2.1 <a href="#integration-with-the-ethereum-name-service-ens">Integration with the Ethereum Name Service (ENS)</a></h6>
<h6 id="722-establishment-of-trust-against-man-in-the-middle-attacks-pcm-and-ocm">7.2.2 <a href="#establishment-of-trust-against-man-in-the-middle-attacks-pcm-and-ocm">Establishment of Trust against Man-in-the-Middle Attacks: PCM and OCM</a></h6>
<h6 id="723-verification-of-the-verifier-from-the-holder">7.2.3 <a href="#verification-of-the-verifier-from-the-holder">Verification of the Verifier from the Holder</a></h6>
<h6 id="724-support-of-federation-membership-verification-in-the-oidc4vp-standard">7.2.4 <a href="#support-of-federation-membership-verification-in-the-oidc4vp-standard">Support of Federation Membership Verification in the OIDC4VP Standard</a></h6>
</blockquote>
</blockquote>
<p><strong>List of Figures</strong></p>
<blockquote>
<p>Figure 1 TRAIN in the "Triangle of Trust"</p>
<p>Figure 2 TRAIN in the "Triangle of Trust" -- Trusted Issuers</p>
<p>Figure 3 Overall Vision for TRAIN </p>
<p>Figure 4 Overview TRAIN Concept </p>
<p>Figure 5 TRAIN Archimate Diagra </p>
<p>Figure 6 Cross-Referencing of Trust Framework Memberships</p>
<p>Figure 7 TRAIN integration with the Notary</p>
<p>Figure 8 Trusted Content Resolver</p>
<p>Figure 9 TRAIN in the "Triangle of Trust": Trusted Verifiers</p>
</blockquote>
<p><strong>List of Tables</strong></p>
<blockquote>
<p>Table 1 DNS &amp; Resource Records </p>
<p>Table 2 Comparison: Roles and Components in TRAIN with other trust
concepts </p>
<p>Table 3 Cross-Referencing of Trust Framework Memberships: DNS and
Resource Records </p>
<p>Table 4 Procedures for auditability requirements</p>
</blockquote>
<h1 id="motivation">Motivation</h1>
<p>The Gaia-X Trust Framework requires a decentralized, flexible, scalable,
and interoperable Trust Model to manage information on trusted entities,
federations or participants in the ecosystem. Individual federations
have to be able to define and manage their trust anchors in a sovereign
way, while at the same time these trust domains have to be interoperable
across federations.</p>
<p>Decentralized identity management technology is currently developing
fast. At the same time, multiple trust domains exist. It might be overly
optimistic to settle on one specific decentralized identity technology
and trust domain. Hence, the trust management infrastructure, as defined
in this document, aims to be agnostic towards the specific decentralized
identity technology, ledger and framework (e.g., EBSI, Indy). Its goal
is to bridge different trust domains and to allow individual entities
and frameworks to make sovereign trust decisions.</p>
<p>Parts of this document are based on the work of the ICAM Gaia-X
Community.</p>
<h2 id="introduction">Introduction</h2>
<p>The trust management infrastructure enables the establishment of a root
of trust for entities acting in the Gaia-X ecosystem and credentials
issued by these entities. This is achieved through the introduction of
trust lists combined with anchoring of pointers in the DNS following the
TRAIN (Trust Management Infrastructure) concept. These lists, published
by Governance Authorities, include entities that are certified according
to a certain Trust Framework that is maintained by the respective
governance authority. This, for example, supports verifying entities in
examining the trustworthiness of Issuers through inclusion in trust
lists under a specific trust framework that is administered by a
specific governance authority.</p>
<p>Gaia-X Federations and other entities are supported in the sovereign
publication and administration of trust lists for specific trust
frameworks. This approach addresses the main trust challenges in the
standard SSI triangle as sketched in figure 1:</p>
<p><img alt="" src="../media/image1.png" /></p>
<blockquote>
<p>Figure 1: TRAIN in the "Triangle of Trust"</p>
</blockquote>
<p>A flexible trust management infrastructure can address the trust
challenges as mentioned above. An example for Challenge C1: Trusted
issuers is given in figure 2. This approach leverages the
well-established global Domain Name Service (DNS and DNSSEC) and
combines it with the decentralized Gaia-X SSI approach. To publish and
identify the correct trust lists as well as establish a chain of trust,
the widely accepted DNS is leveraged.</p>
<p><img alt="" src="../media/image2.png" /></p>
<blockquote>
<p>Figure 2: TRAIN in the "Triangle of Trust" --
Trusted Issuers</p>
</blockquote>
<p>This Trust Management Infrastructure concept is based on the use of
Trust Lists for trusted entities. Trust Lists might not be optimal for
all use cases and at all levels to ensure trust. This is why the Chained
Credentials Concept[1] is regarded as complementary to the Trust List
approach, that is in the focus of this document.</p>
<h2 id="vision">Vision</h2>
<p>The TRAIN (Trust Management Infrastructure) for Gaia-X will be used to
publish lists of trusted entities that are enrolled by a trustable
authority. An example could be a specific Gaia-X Federation enrolling
its member companies in a member trust list. In the following TRAIN will
be abbreviated if this Infrastructure is used.</p>
<p>TRAIN will allow individual entities (e.g., individual companies,
federations that are Gaia-X accredited, federations without Gaia-X
accreditation) to make trust statements to support individual trust
decisions by sovereign entities. At the same time, depending on
individual preference, trust decisions can also be delegated between
entities.</p>
<p>As an example, companies can decide to trust all enrolled members of a
certain (parallel acting) federation. Federations can also link their
trust framework to the trust framework of a different federation. To
enable this, authorities like the Gaia-X AISBL and individual Gaia-X
Federation operators will act as governance authorities that operate
trust frameworks and enroll trustable entities in their trust lists.</p>
<p>TRAIN makes use of the DNS(DNSSEC) as a fundamental and well-established
anchor to discover and validate trust. In order for an entity to be able
to set up a trust list, it has to control a DNS domain to create a Trust
Framework (Trust Scheme) in its DNS record and to set pointers to the
Trusted Content, specifically the Trust List, in its DNS record. The DNS
hostname is then embedded into the meta section (TermsOfUse) of
verifiable credentials by entities claiming enrollment in the Trust
Framework of a specific Trust Framework operator. Verifying entities use
the DNS hostname to resolve trusted content and validate the inclusion
of entities in Trust Frameworks - according to their trust requirements,
as they can define which Trust Frameworks (via their DNS hostnames) to
trust.</p>
<p>For setting up a trust list and enrolling members, the respective Gaia-X
Federation performs the following steps[2]:</p>
<ol>
<li>
<p>The federation requires a fully qualified domain name (FQDN). This
    domain name has to be configured using the "Well Known DID"
    configuration[3] which gives the [ability for a DID controller to
    prove they are the same entity that controls an origin.] </p>
</li>
<li>
<p>The DID used for the Well Known DID configuration is published in
    the DNS URI Resource Record of the domain - it serves as a pointer
    to resolve the location and key material for the trust list.</p>
</li>
</ol>
<h6 id="1-httpswikitrustoveriporgdisplayhometoiptrustregistryprotocolspecificationtoiptrustregistryprotocolspecification-credentialchaining">[1] <a href="https://wiki.trustoverip.org/display/HOME/ToIP+Trust+Registry+Protocol+Specification#ToIPTrustRegistryProtocolSpecification-CredentialChaining"><u>[https://wiki.trustoverip.org/display/HOME/ToIP+Trust+Registry+Protocol+Specification#ToIPTrustRegistryProtocolSpecification-CredentialChaining ]</u></a></h6>
<h6 id="2-for-the-sake-of-clarity-some-mainly-technical-steps-have-been-abbreviated-here-they-are-included-in-the-sequence-diagram-below">[2] [<u>[For the sake of clarity, some, mainly technical steps have been abbreviated here. They are included in the sequence diagram below.]</u>]</h6>
<h6 id="3-httpsidentityfoundationwell-knownresourcesdid-configuration">[3] <a href="https://identity.foundation/.well-known/resources/did-configuration/"><u>[https://identity.foundation/.well-known/resources/did-configuration/]</u></a></h6>
<hr />
<ol>
<li>
<p>A trust list in JSON format[4] is created.</p>
</li>
<li>
<p>The trust list is published on a Trust List Data store (a web server
    or the IPFS - depending on the specific requirements).</p>
</li>
<li>
<p>The DIDs of specific member organizations that comply with the
    requirements of the Trust Framework of this Gaia-X Federation to the
    federation member are added to that trust list.</p>
</li>
<li>
<p>A Verifiable Credential (VC) with the Location of the Trust List in
    the credential subject is created.</p>
</li>
<li>
<p>The location of this VC is included as a Service Endpoint in the DID
    Document for the DID that was associated with the DNS domain.</p>
</li>
<li>
<p>DID document is published (on a web server or ledger - depending on
    the specific requirements).</p>
</li>
</ol>
<p>The organizational, regulatory/legal, and technical measures to assert
trust-relevant aspects for enrollment of companies are defined in the
Trust Framework for this Gaia-X federation. Publishing trust lists,
setting pointers to trust lists, enrollment, discovery as well as
querying of trust lists will be supported by respective components as
described in this concept.</p>
<p>Although the TRAIN infrastructure uses the DNS for lookups, the trust
frameworks, (optional JSON schemas) and trust lists are distributed on
the web (or in the IPFS) and are not stored in the DNS. There can be
different instances of trust lists and trust frameworks hosted by
different trust framework operators (institutions providing trust
frameworks, for example: a Gaia-X Federation operating a Trust Framework
for its members. The verifying entity alone can decide which existing
trust frameworks and trust lists (for example: the trust framework of
Catena-X) to trust.</p>
<p>The overall Vision for TRAIN, over different layers, is described in
figure 3.</p>
<h6 id="4-train-also-supports-trust-lists-in-the-format-xml-etsi-ts-119-612-that-is-used-for-eidas-10-trust-schemes-ie-httpstlbundesnetzagenturdetl-dexml-however-for-this-document-we-will-focus-on-trust-lists-in-json-format-resolved-via-did-vc">[4] <u>TRAIN also supports Trust Lists in the Format XML, ETSI TS 119 612 that is used for eIDAS (1.0) Trust Schemes, i.e. <a href="https://identity.foundation/.well-known/resources/did-configuration/">https://tl.bundesnetzagentur.de/TL-DE.xml</a>. However, for this document we will focus on trust lists in JSON format resolved via DID / VC</u></h6>
<hr />
<p><img alt="" src="../media/image3.png" /></p>
<blockquote>
<p>Figure 3: Overall Vision for TRAIN</p>
</blockquote>
<p>Any Gaia-X self-sovereign federation controlling a DNS can create their
own trust framework and become a trust framework operator e.g.,
<em>federation1.com</em>. Every entity that has to perform trust decisions
decides which trust framework operators to trust for which context.
Trust framework operators (or delegated Gaia-X Notaries) perform the
onboarding/ offboarding of members in the trust framework. An example
could be that these companies are members of Federation1 and therefore
are trusted to issue VCs of a certain type (e.g., membership
credentials) with a certain schema.</p>
<p>The entity operating the trust framework enrolls the members of its
trust framework in a trust list. But it can also cross-reference to
other trust frameworks. An example could be that a particular trust
framework, e.g., <em>federation1.com</em>, with trust framework "<em>example</em>" may
also trust a second trust framework e.g., <em>"partners</em>", of another trust
framework operator, e.g., <em>federation2.de</em>. It may wish to include the
members of this other trust framework as being equivalent to its own
members, but avoid having to enroll each of these members to its own
trust list. The trust framework operator would therefore add pointer
resource records (PTR RRs) to its DNS trust framework entry (as
described in detail below) to point to these other equivalent trust
frameworks. The use of PTR RRs forms mappings between trust frameworks
and trust lists and enables cross-referencing of trust frameworks
without individually enrolling entities into trust lists.</p>
<h2 id="assumptions-side-conditions">Assumptions &amp; Side Conditions</h2>
<p>The trust management infrastructure makes use of the existing global
Domain Name Service (DNS) for discovering information relevant for the
validation of trust as described in the concept below. As a distributed
database both in terms of organization of data as well as responsibility
for operation and management, the DNS is very suitable for an
infrastructure that aims to support integration and interoperation of
various trust domains of different Gaia-X Federations that are
operationalized through Trust Frameworks and Trust Lists.</p>
<p>The original design of the DNS did not consider a number of attacks
allowing miscreants to alter information retrieved via the DNS. It is
susceptible to cache poisoning and MITM attacks, which can lead to false
results being returned. The Domain Name Service Security Extensions
(DNSSEC) have been developed to mitigate this problem. They allow users
of the DNS to verify that the data they received is indeed the data
intended. This ability for verification is vital for the use of DNS in
the context of a trust infrastructure.</p>
<p>Hence, the trust management infrastructure requires acceptance and
availability of DNS/DNSSEC as fundamental infrastructure. To ensure an
adequate level of security, the use of DNSSEC is required.</p>
<h2 id="concept">Concept</h2>
<p>For a first overview of the TRAIN concept and its relationships, please
refer to the following Archimate diagram. The subsequent sections will
cover the main aspects of the concept.</p>
<p>[<img alt="" src="../media/image4.png" /></p>
<blockquote>
<p>Figure 4: Overview TRAIN Concept</p>
</blockquote>
<h2 id="role-of-the-dnsdnssec">Role of the DNS/DNSSEC</h2>
<p>A Gaia-X Federation controlling a DNS record can set up one or multiple
Trust Frameworks with one or multiple trust lists, for example for
creating a member trust list. To do this, it performs the following
steps:</p>
<ul>
<li>
<p>The DNS controller creates a DNS entry with the name of its trust
    framework e.g., <em>example.federation1.com</em>., or
    <em>partners.federation2.de.</em>.</p>
</li>
<li>
<p>Then below this, two further DNS entries named <em>_trust</em> and
    <em>_scheme</em> respectively are created. The names of these two entries
    were specified by the EU Lightest project[5], and TRAIN is
    following those guidelines. Here, <em>example</em> is the name of the
    Framework, <em>federation1.com</em> is the authority responsible for the
    Trust Framework, and <em>_scheme._trust</em> are standardized constant
    terms used across the TRAIN trust infrastructure.</p>
</li>
<li>
<p>The bottom entry, e.g., <em>_scheme._example.federation1.com</em>,
    contains one or more PTR RRs. Each PTR RR points to a DNS entry
    where the location of a trust list can be found, in a URI RR[6].
    This use of PTR RRs allows one Trust Framework to point to several
    trust lists, for example, one Gaia-X Federation could point to the
    equivalent trust frameworks of different Gaia-X Federations. It also
    allows one trust list to be incorporated into multiple trust
    frameworks.</p>
</li>
</ul>
<hr />
<p>DNS                             Resource Records</p>
<p>PTR                                 _scheme._example.federation1.com.</p>
<p>PTR                                 _scheme._partners.federation2.de.</p>
<p>URI                                 [https://some.org/trust_list] /
                                      did:web:xyz...</p>
<hr />
<p>Table 1: DNS &amp; Resource Records</p>
<h2 id="functional-roles-and-components-in-train">Functional Roles and Components in TRAIN</h2>
<p>The table below compares roles and components in TRAIN with other trust
concepts currently being developed.</p>
<table>
<thead>
<tr>
<th><strong>Description</strong></th>
<th><strong>Term in Gaia-X</strong></th>
<th><strong>Term in EBSI</strong></th>
<th><strong>Terms in other Concepts</strong></th>
</tr>
</thead>
<tbody>
<tr>
<td>Organizational authority certifying trustworthiness of entities and enrolling them into the list of trusted entities, maintaining the list(s)/registrie(s) and organizational framework</td>
<td>Trust Framework (AISBL, Federator of a specific Gaia-X Federation)</td>
<td>Trusted Accreditation (TAO, Organisation)</td>
<td>Governance Authority, Trust Scheme Provider</td>
</tr>
<tr>
<td>Defined organizational, regulatory/legal, and technical measures to assert trust-relevant attributes for enrolled entities (in a certain domain)</td>
<td>Gaia-X Trust Framework, Frameworks of specific Federations</td>
<td>Use-case Policies</td>
<td>Trust Framework, Trust Scheme, Governance Framework</td>
</tr>
<tr>
<td>List of trusted entities in specific data file/format certified by a maintaining authority</td>
<td>Trust List (JSON or XML following ETSI TS 119 612)</td>
<td>Registry of Issuers (on EBSI Ledger) as Smart Contract</td>
<td>Trust Registry, List of Trusted Entities (Issuers etc.)</td>
</tr>
<tr>
<td>Formalized set of rules to automate trust decisions for individual transactions</td>
<td>(Trust) Policy (REGO)</td>
<td>Not defined or unknown</td>
<td>n/a</td>
</tr>
</tbody>
</table>
<p>Table 2: Comparison: Roles and Components in
TRAIN with other trust concepts</p>
<h6 id="5-wagner-s-kurowski-s-laufs-u-ronagel-h-a-mechanism-for-discovery-and-verification-of-trust-scheme-memberships-the-lightest-reference-architecture-in-open-identity-summit-2017-proceedings-lecture-notes-in-informatics-lni-bonn-kollen-druck-verlag-gmbh-pp-8192-2017">[5] <u>Wagner, S.; Kurowski, S.; Laufs, U.; Roßnagel, H.: A mechanism for discovery and verification of trust scheme memberships: the LIGHTest Reference Architecture, in Open Identity Summit 2017 - Proceedings, Lecture Notes in Informatics (LNI), Bonn: Köllen Druck + Verlag GmbH, pp. 81–92, 2017.</u></h6>
<h6 id="6-this-step-is-abbreviated-here-both-a-url-or-a-did-can-be-used-as-uri-to-point-to-the-trust-list-in-case-of-the-did-the-trust-list-will-be-resolved-via-a-verifiable-credential-that-is-located-over-the-did">[6] <u>This step is abbreviated here. Both, a URL or a DID can be used as URI to point to the trust list. In case of the DID the trust list will be resolved via a verifiable credential that is located over the DID.</u></h6>
<h2 id="integration-with-verifiable-credentials">Integration with Verifiable Credentials</h2>
<p>Every VC that is issued by an entity that claims to be in a certain
Trust Framework must contain a standard Terms of Use property (according
to W3C Verifiable Credentials Data Model 1.0). The Terms of Use contains
the DNS names of the trust framework(s) that the issuer claims to be a
member of. For this, there must at least be one "trustScheme" defined,
as in the following example: [\"trustScheme\"<strong>:</strong>
<strong>[</strong>"example<strong>.</strong>federation1.com"<strong>,</strong>
"partners<strong>.</strong>federation2.de"<strong>].</strong>] </p>
<p>If schemas are also to be included in the trust framework, the
credential must also contain a standard credentialSchema property
listing the URL where the schema can be found, along with the syntax of
the schema. As with claimed trust framework memberships, these could be
true or false statements. In any case, the Verifier will check the
claims using TRAIN. What counts in the end is the actual inclusion of
the details into the trust list of the Trust Framework Operator as
defined in the enrollment process. An example for the format of the
TRAIN Terms of Use property is given below:</p>
<blockquote>
<p>"termsOfUse":[{</p>
<p>"type": "train",</p>
<p>"id": "https://train.trust-scheme.de/info",</p>
<p>"trustScheme": "example.federation1.com",</p>
<p>"partners.federation2.de"</p>
<p>}]</p>
<p>Optional reference to a credential schema:</p>
<p>"credentialSchema": {</p>
<p>"id":
"[https://train.trust-scheme.de/schema/membershipCredential-schema.json]",</p>
<p>"type": "JsonSchemaValidator2018"</p>
<p>}</p>
</blockquote>
<h2 id="unified-signature-verification-model-for-trust-lists-via-did-and-vc">Unified Signature &amp; Verification Model for Trust Lists via DID and VC</h2>
<p>The Unified Signature &amp; Verification model for Trust List via DID and VC
allows trust lists across trust domains to be signed and verified
uniformly using Verifiable Credentials (VC). This is achieved by
enveloping the storage location of the Trust List (Trusted Data Store,
e.g., https url or IPFS) in the credential subject of a Verifiable
Credential. The entity operating the trust framework (the Federator) is
responsible for signing the VC with its proof.</p>
<p>The signature approach is as follows:</p>
<ol>
<li>A <em>DID</em> is created and associated with the DNS domain under the
    control of the trust framework operator (the Federator) following
    the Well Known DID configuration approach[7].</li>
</ol>
<h6 id="7-httpsidentityfoundationwell-knownresourcesdid-configuration">[7] <a href="https://identity.foundation/.well-known/resources/did-configuration/"><u>[https://identity.foundation/.well-known/resources/did-configuration/]</u></a></h6>
<ol>
<li>
<p>The DID is stored in the <em>DNS PTR record URI</em></p>
</li>
<li>
<p>A <em>DID Document</em> is created for the DID and stored on a
    ledger/IPFS/https URL resource. The DID document defines a <em>Service
    End Point</em> with the URI to a Verifiable Credential / Presentation</p>
</li>
<li>
<p>The <em>Verifiable Credential / Presentation</em> is created so that it can
    be resolved via the URI in the DID Document. The <em>Credential Subject
    of the VC/VP</em> contains the URI to resolve the Trust List. The VC/VP
    is signed so that it can be validated with the public key from the
    DID Document.</p>
</li>
<li>
<p>The <em>Trust List</em> is stored at the Trusted Data Store at the location
    (IPFS/https web resource) defined in the Credential Subject of the
    VC</p>
</li>
</ol>
<p>The verification process is described in the next section.</p>
<h2 id="trust-verification">Trust Verification</h2>
<p>To verify the inclusion of an entity in a specific trust framework,
minimum two specific inputs are required:</p>
<ol>
<li>
<p>The trust framework reference (Trust Framework Pointer), that is
    embedded as a DNS name in the termsofUse object of the VC (see
    section "Trusted Content Resolving" below).</p>
</li>
<li>
<p>The URI of the VC issuer, obtained from the VC. The URI of the
    issuer is flexible and may depend on the backend technology being
    used by the VC ecosystem. For example: the URI can be a DID that
    could be anchored in a blockchain/distributed ledger, but it could
    also be a https URL from a PKI or it could also be a UUID.</p>
</li>
</ol>
<p>The TRAIN trust verification is not restricted by the backend technology
behind the VC in the respective SSI ecosystem used in Gaia-X.</p>
<p>If a user needs a certain service-specific information they can restrict
it by adding additional parameters to the inputs. For example: If a
Trust Verifier needs to process only DID requests, the user can include
an input called ServiceDigitalIdentity: "DID". Thereby the verifier
after verification process will return only those identities specific to
the DID as output.</p>
<p>The trust verification is performed by a trust verification component
denoted "Trusted Content Resolver" (see also the Sequence Diagram below,
in TRAIN also called ATV: Automatic Trust Verifier). The
registration/enrolment process is also elaborated in the respective
section further below. The "TSPA/Federator" is located at the authority
operating the trust framework, e.g., a specific Gaia-X Federation. The
trust list is detailed further below in the respective section.</p>
<p>Based on the Trust Framework Pointer as DNS name in the termsOfUse, the
Trusted Content Resolver will first attempt to connect to the DNS name
server that holds the entries of the trust framework operator using
DNSSEC. This provides an unbroken chain of trust from the root DNSKEY RR
set to the Trust Framework's DNS entries. However, if DNSSEC is not
available, it will use standard DNS. <em>The use of DNS without DNSSEC is
not recommended as described in the Security Considerations below.</em> The
reason for this is that support for DNSSEC might not be within the
control of the Trust Framework Operator. If participants still prefer to
use TRAIN and are willing to accept the risks, they can use TRAIN with
only DNS and are not forced to wait until DNSSEC is available to them.
We recognize that this leaves the trust framework open to certain
attacks, such as DNS MITM and cache poisoning, but Trust Framework
Operators and verifiers can perform this risk assessment before deciding
to use TRAIN without DNSSEC.</p>
<p>The verification process is as follows:</p>
<ol>
<li>
<p>The Trusted Content Resolver will read the <em>PTR RRs of the DNS
    domain</em> resolved from the trust framework reference (Trust Framework
    Pointer).</p>
</li>
<li>
<p>There the Trusted Content Resolver dereferences the <em>URI RRs</em>, and
    expects to find a <em>DID</em>.</p>
</li>
<li>
<p>The Well Known DID configuration verification is performed.[8]</p>
</li>
</ol>
<h6 id="8-httpsidentityfoundationwell-knownresourcesdid-configuration">[8] <a href="https://identity.foundation/.well-known/resources/did-configuration/"><u>[https://identity.foundation/.well-known/resources/did-configuration/]</u></a></h6>
<ol>
<li>
<p>From the DID the Trusted Content Resolver resolves a <em>DID Document</em>
    which via its <em>Service Endpoint</em> leads to a <em>Verifiable
    Credential/Verifiable Presentation</em>.</p>
</li>
<li>
<p>The <em>proof of the VC/VP</em> is validated against the public keys of the
    DID Document.</p>
</li>
<li>
<p>The <em>Credential Subject of the VC/VP</em> is ready to obtain the URI of
    the Trust List (at a https URL or IPFS resource).</p>
</li>
<li>
<p>The trust list is resolved and the Trusted Content Resolver checks
    if the specific entity is listed in the trust list. If this is the
    case, the Trusted Content Resolver will return that the claimed
    entity is a member of the trust framework operated by this \"DNS
    name\".</p>
</li>
<li>
<p>Likewise, the VC schema can be checked.</p>
</li>
</ol>
<p>Hence, it does not matter whether the entity was telling the truth when
it claimed membership of a certain trust framework. The Trusted Content
Resolver and the DNS controller/trust framework operator establish the
root of trust.</p>
<p>The source code for a sample implementation of the Trusted Content
Resolver component is available under Apache 2.0 (developed in the
ESSIF-TRAIN Project and called ATV: Automatic Trust Verifier). The
Trusted Content Resolver can be automated through policy languages (the
ATV implementation supports TPL - Trust Policy Language) or other
languages like REGO as foreseen for GXFS. Trusted Content Resolvers can
be run by any entity, so that there can be multiple distributed copies
of this service running in clouds as backup services or completely
locally under sovereign control. The existing Trusted Content Resolver
(ATV) implementation also offers a "TRAIN API" allowing to initiate the
trust verification process using the POST API Service and to return the
result to the verifier.[9]</p>
<h6 id="9-httpsessiftrust-schemedeswagger_train">[9] <a href="https://essif.trust-scheme.de/swagger_train/"><u>[https://essif.trust-scheme.de/swagger_train/ ]</u></a></h6>
<p>An overview of TRAIN and the integration with GXFS is given in the
Archimate Diagram in figure 5. Integration with other GXFS components is
described in further details in the sections below.</p>
<h2 id="sequence-diagram-trust-list-initialization-trust-list-enrolment-and-update-trust-discovery-and-validation">Sequence Diagram: Trust List Initialization, Trust List Enrolment and Update, Trust Discovery and Validation</h2>
<p>The sequence diagram in figure 5 summarizes what was described above and
gives an overview of the central steps to:</p>
<ul>
<li>
<p>initially set up of a Trust List (Trust List Initialization)</p>
</li>
<li>
<p>update the Trust List, e.g., to add new entities (Trust List
    Enrolment and Update)</p>
</li>
<li>
<p>discover the correct Trust List and validate the trust (Trust
    Discovery and Validation)</p>
</li>
</ul>
<p><img alt="" src="../media/image5.png" /></p>
<p>Figure: TRAIN Archimate Diagra</p>
<h2 id="initial-integration-into-trust-framework-memberships">Initial Integration into Trust Framework Memberships</h2>
<p>For an entity to be enrolled into a specific trust framework, the DID
and potentially additional relevant information for the entity (see
exemplary trust lists below) must be added to the Trust List of this
trust framework. For this, the TSPA/Federator performs CRUD operations
on the Trust List located on the Trust List Data Store.</p>
<p>The initial integration into Trust Framework Memberships is being
triggered via the Notary. Please refer to the Section "Integration with
Notary" for details.</p>
<h2 id="cross-referencing-of-trust-framework-memberships">Cross-Referencing of Trust Framework Memberships</h2>
<p>The entities operating a Trust Framework are able to cross reference
other Trust Framework Memberships using the PTR record. Hence, the DNS
record of Trust Framework 1 will hold the DNS hostname pointer for Trust
Framework 2 that is being trusted by Trust Framework 1. This would then
imply that a verifier trusting Trust Framework 1 will automatically also
trust the entities that are enrolled in Trust Framework 2. This way,
Trust Framework 1 will not have to individually enroll all entities
enrolled in Trust Framework 2 but can simply cross-reference to the
other framework. An example is given by the figure 6 and table 3.</p>
<p>Moreover, during Verifiable Credential issuance, entities can include
multiple Trust Framework membership pointers in the termsOfUse (e.g.,
"trustScheme":"example.federation1.com",
"partners.federation2.de" to claim memberships in multiple
trust frameworks.</p>
<p><img alt="" src="../media/image6.png" /></p>
<p>Figure 6: Cross-Referencing of Trust Framework
Memberships</p>
<hr />
<p><strong>DNS</strong>                             <strong>Resource Records</strong></p>
<p>PTR                                 _scheme._example.federation1.com.</p>
<p>PTR                                 _scheme._partners.federation2.de.</p>
<p>URI                                 [https://some.org/trust_list]
                                      did:web:xyz...</p>
<hr />
<p>Table 3: Cross-Referencing of Trust Framework
Memberships: DNS and Resource Records</p>
<h2 id="integration-into-a-new-trust-framework-with-existing-credentials">Integration into a New Trust Framework with existing Credentials</h2>
<p>Using TRAIN, the enrollment of an entity into a new Trust Framework is
immediately reflected and does not require an update of already issued
credentials. This can be achieved by leveraging the PTR record
cross-referencing of Trust Frameworks as explained above to enroll into
a new Trust Framework.</p>
<p>This could be illustrated as follows:</p>
<ol>
<li>
<p>An exemplary "Federation X" maintains a trust list of members for
    the Trust Framework "Members Federation X" and gives out VCs. In
    their terms of use, these VCs include the DNS hostname pointer
    "trustScheme": "members.federationX.com" to
    claim membership in the Trust Framework "Members Federation X".</p>
</li>
<li>
<p>Federation X is not a member of the Trust Framework of the
    "Example-Dataspace" (with the Trust Framework identified by the DNS
    hostname accredited.exampleDatataspace.com as it has
    not been accredited.)</p>
</li>
<li>
<p>A validating entity that has configured their Trusted Content
    Resolver to trust VCs issued under the Trust Framework
    members.federationX.com will be able to validate these
    credentials as trustworthy. However, if a validating entity has
    configured their Trusted Content Resolver to only trust VCs issued
    under the Trust Framework
    accredited.exampleDatataspace.com, it will not be able
    to validate these credentials as trustworthy.</p>
</li>
<li>
<p>Now, Federation X gets accredited according to the Trust Framework
    of Example-Dataspace. Example-Dataspace will therefore add a PTR
    record pointer to members.federationX.com right into
    their DNS under accredited.exampleDatataspace.com to
    reference the Trust Framework of Federation X as trustworthy.</p>
</li>
<li>
<p>A validating entity that receives the DNS hostname pointer
    "trustScheme":"members<strong>.</strong>federationX.com" that
    has configured their Trusted Content Resolver to trust VCs issued
    under the Trust Framework
    accredited.exampleDatataspace.com will now be able to
    follow the PTR record pointer to
    members.federationX.com under the PTR record of
    accredited.exampleDatataspace.com and validate these
    credentials as trustworthy - without any changes in the initially
    issued credentials.</p>
</li>
</ol>
<h2 id="integration-with-tsa">Integration with TSA</h2>
<p>The Trust Services API (TSA) can integrate the Trusted Component
Resolver Libraries to verify the institutional trust of the verifiable
credentials.</p>
<h2 id="integration-with-ocm">Integration with OCM</h2>
<p>The Organization Credential Manager (OCM) can use the TSA to validate
the trust of the organizational verifiable credentials (via the Trusted
Component Resolver Libraries) before storing them in the wallet.</p>
<h2 id="integration-with-notary">Integration with Notary</h2>
<p>The Notary uses the TSPA Connector to enroll trusted entities into the
trust framework and add them via the TSPA/Federator to the Trust List.</p>
<p>The integration with the Notary is illustrated in figure 7:</p>
<p><img alt="" src="../media/image7.png" /></p>
<p>Figure 7: TRAIN integration with the Notary</p>
<h2 id="required-trust-lists-for-gaia-x">Required Trust Lists for Gaia-X</h2>
<p>Certain trust aspects will be covered through the use of chained
credentials. For others, trust lists are more efficient. Hence, the
following trust lists are foreseen:</p>
<ul>
<li>
<p><strong>One Gaia-X Federations Trust List</strong> (one single Trust List
    <em>operated by Gaia-X AISBL</em> for the Gaia-X Federations that are
    conformant to the general Gaia-X Trust Framework)</p>
</li>
<li>
<p><strong>Trust List of Notaries operated by Gaia-X AISBL</strong> (one single
    Trust List <em>operated by Gaia-X AISBL for the Notaries</em> that are
    conformant to the general Gaia-X Trust Framework)</p>
</li>
<li>
<p><strong>Multiple Federation Participants Trust Lists</strong> (one Trust List
    <em>operated by each Federation</em>, listing the participants of this
    Federation that are conformant to its Trust Framework)</p>
</li>
<li>
<p><strong>Multiple Trust Lists of Notaries operated by Federations</strong> (one
    Trust List <em>operated by each Federation</em>, listing the Notaries that
    are trusted by each Federation and their services offered and
    credentials issued)</p>
</li>
<li>
<p><strong>Multiple Participant Trust Lists</strong> (one Trust List <em>operated by
    each Participant</em>, listing the services offered and credentials
    issued by each participant)</p>
</li>
<li>
<p><strong>Multiple Participant Notaries Trust Lists</strong> (one Trust List
    <em>operated by each Participant</em>, listing the Notaries that are
    trusted by each Participant and their services offered and
    credentials issued)</p>
</li>
</ul>
<p>Further Trust Lists for additional entities or application scenarios are
possible.</p>
<h2 id="trust-list-formats">Trust List Formats</h2>
<p>Trust Lists used by TRAIN contain all the enrolled entities (e.g.,
Members of a Gaia-X Federation) in a specific data file/format certified
by the Trust Framework authority (e.g., the respective Gaia-X Federation
operating the Trust Framework). Trust lists for Gaia-X are referenced
from a VC (the location is embedded into the credential subject) and the
content can be in JSON-LD or in XML-Format. An exemplary trust list in
XML Format (following the ETSI TS 119 612 standard, a JSON example is
shown after this) is given in the following:</p>
<blockquote>
<p>[\&lt;TrustServiceStatusList xmlns=\"http://uri.etsi.org/02231/v2#\"
xmlns:ns2=\"http://www.w3.org/2000/09/xmldsig#\"
xmlns:ns3=\"http://uri.etsi.org/01903/v1.3.2#\"
xmlns:ns4=\"http://uri.etsi.org/02231/v2/additionaltypes#\"
xmlns:ns5=\"http://uri.etsi.org/TrstSvc/SvcInfoExt/eSigDir-1999-93-EC-TrustedList/#\"
xmlns:ns6=\"http://uri.etsi.org/01903/v1.4.1#\"
TSLTag=\"http://uri.etsi.org/19612/TSLTag\"&gt;] </p>
<p>[\&lt;SchemeInformation&gt;] </p>
<p>[ \&lt;TSLVersionIdentifier&gt;5\&lt;/TSLVersionIdentifier&gt;] </p>
<p>[ \&lt;TSLSequenceNumber&gt;1\&lt;/TSLSequenceNumber&gt;] </p>
<p>[
\&lt;TSLType&gt;http://uri.etsi.org/TrstSvc/TrustedList/TSLType/EUgeneric\&lt;/TSLType&gt;] </p>
<p>[ \&lt;SchemeOperatorName&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;Federation 1 Notary\&lt;/Name&gt;] </p>
<p>[ \&lt;/SchemeOperatorName&gt;] </p>
<p>[ \&lt;SchemeOperatorAddress&gt;] </p>
<p>[ \&lt;PostalAddresses&gt;] </p>
<p>[ \&lt;PostalAddress xml:lang=\"en\"&gt;] </p>
<p>[ \&lt;StreetAddress&gt;Lichtstraße 43h\&lt;/StreetAddress&gt;] </p>
<p>[ \&lt;Locality&gt;Köln\&lt;/Locality&gt;] </p>
<p>[ \&lt;PostalCode&gt;50825\&lt;/PostalCode&gt;] </p>
<p>[ \&lt;CountryName&gt;DE\&lt;/CountryName&gt;] </p>
<p>[ \&lt;/PostalAddress&gt;] </p>
<p>[ \&lt;/PostalAddresses&gt;] </p>
<p>[ \&lt;ElectronicAddress&gt;] </p>
<p>[ \&lt;URI xml:lang=\"en\"&gt;mailto:mail@federation1.com\&lt;/URI&gt;] </p>
<p>[ \&lt;URI xml:lang=\"en\"&gt;https://www.federation1.com\&lt;/URI&gt;] </p>
<p>[ \&lt;/ElectronicAddress&gt;] </p>
<p>[ \&lt;/SchemeOperatorAddress&gt;] </p>
<p>[ \&lt;SchemeName&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;DE:TRAIN\&lt;/Name&gt;] </p>
<p>[ \&lt;/SchemeName&gt;] </p>
<p>[ \&lt;SchemeInformationURI&gt;] </p>
<p>[ \&lt;URI
xml:lang=\"en\"&gt;https://dl.gi.de/handle/20.500.12116/38702\&lt;/URI&gt;] </p>
<p>[ \&lt;/SchemeInformationURI&gt;] </p>
<p>[
\&lt;StatusDeterminationApproach&gt;http://uri.etsi.org/TrstSvc/TrustedList/StatusDetn/EUappropriate
\&lt;/StatusDeterminationApproach&gt;] </p>
<p>[ \&lt;SchemeTypeCommunityRules&gt;] </p>
<p>[ \&lt;URI xml:lang=\"en\"&gt;https://train.trustscheme.de
/schemerules/ngi.train.trustscheme.de \&lt;/URI&gt;] </p>
<p>[ \&lt;/SchemeTypeCommunityRules&gt;] </p>
<p>[ \&lt;SchemeTerritory&gt;GLOBAL\&lt;/SchemeTerritory&gt;] </p>
<p>[ \&lt;PolicyOrLegalNotice&gt;] </p>
<p>[ \&lt;TSLLegalNotice xml:lang=\"en\"&gt;This is an experimental list for
the GXFS Federation Notary.\&lt;/TSLLegalNotice&gt;] </p>
<p>[ \&lt;/PolicyOrLegalNotice&gt;] </p>
<p>[
\&lt;HistoricalInformationPeriod&gt;65535\&lt;/HistoricalInformationPeriod&gt;] </p>
<p>[
\&lt;ListIssueDateTime&gt;2022-09-27T00:00:00Z\&lt;/ListIssueDateTime&gt;] </p>
<p>[ \&lt;NextUpdate&gt;2022-12-27T00:00:00Z\&lt;/NextUpdate&gt;] </p>
<p>[\&lt;/SchemeInformation&gt;] </p>
<p>[\&lt;TrustServiceProviderList&gt;] </p>
<p>[ \&lt;TrustServiceProvider&gt;] </p>
<p>[ \&lt;UID&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;2325\&lt;/Name&gt;] </p>
<p>[ \&lt;/UID&gt;] </p>
<p>[ \&lt;TSPCurrentStatus&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;Active\&lt;/Name&gt;] </p>
<p>[ \&lt;/TSPCurrentStatus&gt;] </p>
<p>[ \&lt;StatusStartingTime&gt;] </p>
<p>[ \&lt;dateTime&gt;2022-11-22T00:00:00Z\&lt;/dateTime&gt;] </p>
<p>[ \&lt;/StatusStartingTime&gt;] </p>
<p>[ \&lt;TSPInformation&gt;] </p>
<p>[ \&lt;TSPName&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;Notary 1\&lt;/Name&gt;] </p>
<p>[ \&lt;/TSPName&gt;] </p>
<p>[ \&lt;TSPTradeName&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;NTRUK-SC090312\&lt;/Name&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;Notary Federation 1 \&lt;/Name&gt;] </p>
<p>[ \&lt;/TSPTradeName&gt;] </p>
<p>[ \&lt;TSPAddress&gt;] </p>
<p>[ \&lt;PostalAddresses&gt;] </p>
<p>[ \&lt;PostalAddress xml:lang=\"en\"&gt;] </p>
<p>[ \&lt;StreetAddress&gt;Lichtstraße 43h\&lt;/StreetAddress&gt;] </p>
<p>[ \&lt;Locality&gt;Köln\&lt;/Locality&gt;] </p>
<p>[ \&lt;PostalCode&gt;50825\&lt;/PostalCode&gt;] </p>
<p>[ \&lt;CountryName&gt;DE\&lt;/CountryName&gt;] </p>
<p>[ \&lt;/PostalAddress&gt;] </p>
<p>[ \&lt;/PostalAddresses&gt;] </p>
<p>[ \&lt;ElectronicAddress&gt;] </p>
<p>[ \&lt;URI
xml:lang=\"en\"&gt;mailto:mail.notary1@federation.com\&lt;/URI&gt;] </p>
<p>[ \&lt;/ElectronicAddress&gt;] </p>
<p>[ \&lt;/TSPAddress&gt;] </p>
<p>[ \&lt;TSPInformationURI&gt;] </p>
<p>[ \&lt;URI
xml:lang=\"en\"&gt;https://notary1.info/TRAIN/info\&lt;/URI&gt;] </p>
<p>[ \&lt;/TSPInformationURI&gt;] </p>
<p>[ \&lt;TSPCertificationList&gt;] </p>
<p>[ \&lt;TSPCertification xml:lang=\"en\"&gt;] </p>
<p>[ \&lt;Type&gt;LEI\&lt;/Type&gt;] </p>
<p>[ \&lt;Value&gt;1234567\&lt;/Value&gt;] </p>
<p>[ \&lt;Scope&gt;\&lt;/Scope&gt;] </p>
<p>[ \&lt;/TSPCertification&gt;] </p>
<p>[ \&lt;TSPCertification xml:lang=\"en\"&gt;] </p>
<p>[ \&lt;Type&gt;Gaia-X Compliance\&lt;/Type&gt;] </p>
<p>[ \&lt;Value&gt;1234567\&lt;/Value&gt;] </p>
<p>[ \&lt;Scope&gt;\&lt;/Scope&gt;] </p>
<p>[ \&lt;/TSPCertification&gt;] </p>
<p>[ \&lt;TSPCertification xml:lang=\"en\"&gt;] </p>
<p>[ \&lt;Type&gt;eidas\&lt;/Type&gt;] </p>
<p>[ \&lt;Value&gt;1234567\&lt;/Value&gt;] </p>
<p>[ \&lt;Scope&gt;\&lt;/Scope&gt;] </p>
<p>[ \&lt;/TSPCertification&gt;] </p>
<p>[ \&lt;/TSPCertificationList&gt;] </p>
<p>[ \&lt;/TSPInformation&gt;] </p>
<p>[ \&lt;TSPServices&gt;] </p>
<p>[ \&lt;TSPService&gt;] </p>
<p>[ \&lt;ServiceInformation&gt;] </p>
<p>[
\&lt;ServiceTypeIdentifier&gt;https://participant.membership.notary1.federation.com\&lt;/ServiceTypeIdentifier&gt;] </p>
<p>[ \&lt;ServiceName&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;Federation Participant Membership
Credential\&lt;/Name&gt;] </p>
<p>[ \&lt;/ServiceName&gt;] </p>
<p>[ \&lt;ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;x509&gt;242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\&lt;/x509&gt;] </p>
<p>[ \&lt;did&gt;did:web:notary.federation1.com\&lt;/did&gt;] </p>
<p>[ \&lt;/ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;ServiceStatus&gt;http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\&lt;/ServiceStatus&gt;] </p>
<p>[
\&lt;StatusStartingTime&gt;2022-09-29T22:00:00Z\&lt;/StatusStartingTime&gt;] </p>
<p>[ \&lt;ServiceSupplyPoints&gt;] </p>
<p>[
\&lt;ServiceSupplyPoint&gt;https://participant.membership.notary1.federation.com\&lt;/ServiceSupplyPoint&gt;] </p>
<p>[ \&lt;/ServiceSupplyPoints&gt;] </p>
<p>[ \&lt;TSPServiceDefinitionURI&gt;] </p>
<p>[
\&lt;URI&gt;https://notary1.info/schema/V-2022-1/participant_membership.json\&lt;/URI&gt;] </p>
<p>[ \&lt;/TSPServiceDefinitionURI&gt;] </p>
<p>[ \&lt;AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;ServiceCredentialTypes&gt;] </p>
<p>[ \&lt;CredentialType&gt;X.509\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;CredentialType&gt;did:web\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;/ServiceCredentialTypes&gt;] </p>
<p>[
\&lt;ServiceGovernanceURI&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceGovernanceURI&gt;] </p>
<p>[
\&lt;ServiceBusinessRules&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceBusinessRules&gt;] </p>
<p>[ \&lt;/AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;/ServiceInformation&gt;] </p>
<p>[ \&lt;/TSPService&gt;] </p>
<p>[ \&lt;TSPService&gt;] </p>
<p>[ \&lt;ServiceInformation&gt;] </p>
<p>[
\&lt;ServiceTypeIdentifier&gt;https://principal.membership.notary1.federation.com\&lt;/ServiceTypeIdentifier&gt;] </p>
<p>[ \&lt;ServiceName&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;Federation Principal
Credential\&lt;/Name&gt;] </p>
<p>[ \&lt;/ServiceName&gt;] </p>
<p>[ \&lt;ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;x509&gt;242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\&lt;/x509&gt;] </p>
<p>[ \&lt;did&gt;did:web:notary.federation1.com\&lt;/did&gt;] </p>
<p>[ \&lt;/ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;ServiceStatus&gt;http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\&lt;/ServiceStatus&gt;] </p>
<p>[
\&lt;StatusStartingTime&gt;2022-09-29T22:00:00Z\&lt;/StatusStartingTime&gt;] </p>
<p>[ \&lt;ServiceSupplyPoints&gt;] </p>
<p>[
\&lt;ServiceSupplyPoint&gt;https://verifier.research.identiproof.io/\&lt;/ServiceSupplyPoint&gt;] </p>
<p>[ \&lt;/ServiceSupplyPoints&gt;] </p>
<p>[ \&lt;TSPServiceDefinitionURI&gt;] </p>
<p>[
\&lt;URI&gt;https://notary1.info/schema/V-2022-1/participant_membership.json\&lt;/URI&gt;] </p>
<p>[ \&lt;/TSPServiceDefinitionURI&gt;] </p>
<p>[ \&lt;AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;ServiceCredentialTypes&gt;] </p>
<p>[ \&lt;CredentialType&gt;X.509\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;CredentialType&gt;did:web\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;/ServiceCredentialTypes&gt;] </p>
<p>[
\&lt;ServiceGovernanceURI&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceGovernanceURI&gt;] </p>
<p>[
\&lt;ServiceBusinessRules&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceBusinessRules&gt;] </p>
<p>[ \&lt;/AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;/ServiceInformation&gt;] </p>
<p>[ \&lt;/TSPService&gt;] </p>
<p>[ \&lt;TSPService&gt;] </p>
<p>[ \&lt;ServiceInformation&gt;] </p>
<p>[
\&lt;ServiceTypeIdentifier&gt;https://consumer.membership.notary1.federation.com\&lt;/ServiceTypeIdentifier&gt;] </p>
<p>[ \&lt;ServiceName&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;Federation Consumer
Credential\&lt;/Name&gt;] </p>
<p>[ \&lt;/ServiceName&gt;] </p>
<p>[ \&lt;ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;x509&gt;242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\&lt;/x509&gt;] </p>
<p>[ \&lt;did&gt;did:web:notary.federation1.com\&lt;/did&gt;] </p>
<p>[ \&lt;/ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;ServiceStatus&gt;http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\&lt;/ServiceStatus&gt;] </p>
<p>[
\&lt;StatusStartingTime&gt;2022-09-29T22:00:00Z\&lt;/StatusStartingTime&gt;] </p>
<p>[ \&lt;ServiceSupplyPoints&gt;] </p>
<p>[
\&lt;ServiceSupplyPoint&gt;https://verifier.research.identiproof.io/\&lt;/ServiceSupplyPoint&gt;] </p>
<p>[ \&lt;/ServiceSupplyPoints&gt;] </p>
<p>[ \&lt;TSPServiceDefinitionURI&gt;] </p>
<p>[
\&lt;URI&gt;https://notary1.info/schema/V-2022-1/participant_membership.json\&lt;/URI&gt;] </p>
<p>[ \&lt;/TSPServiceDefinitionURI&gt;] </p>
<p>[ \&lt;AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;ServiceCredentialTypes&gt;] </p>
<p>[ \&lt;CredentialType&gt;X.509\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;CredentialType&gt;did:web\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;/ServiceCredentialTypes&gt;] </p>
<p>[
\&lt;ServiceGovernanceURI&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceGovernanceURI&gt;] </p>
<p>[
\&lt;ServiceBusinessRules&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceBusinessRules&gt;] </p>
<p>[ \&lt;/AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;/ServiceInformation&gt;] </p>
<p>[ \&lt;/TSPService&gt;] </p>
<p>[ \&lt;TSPService&gt;] </p>
<p>[ \&lt;ServiceInformation&gt;] </p>
<p>[
\&lt;ServiceTypeIdentifier&gt;https://resource.membership.notary1.federation.com\&lt;/ServiceTypeIdentifier&gt;] </p>
<p>[ \&lt;ServiceName&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;Federation Resource
Credential\&lt;/Name&gt;] </p>
<p>[ \&lt;/ServiceName&gt;] </p>
<p>[ \&lt;ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;x509&gt;242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\&lt;/x509&gt;] </p>
<p>[ \&lt;did&gt;did:web:notary.federation1.com\&lt;/did&gt;] </p>
<p>[ \&lt;/ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;ServiceStatus&gt;http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\&lt;/ServiceStatus&gt;] </p>
<p>[
\&lt;StatusStartingTime&gt;2022-09-29T22:00:00Z\&lt;/StatusStartingTime&gt;] </p>
<p>[ \&lt;ServiceSupplyPoints&gt;] </p>
<p>[
\&lt;ServiceSupplyPoint&gt;https://resource.membership.notary1.federation.com\&lt;/ServiceSupplyPoint&gt;] </p>
<p>[ \&lt;/ServiceSupplyPoints&gt;] </p>
<p>[ \&lt;TSPServiceDefinitionURI&gt;] </p>
<p>[
\&lt;URI&gt;https://notary1.info/schema/V-2022-1/participant_membership.json\&lt;/URI&gt;] </p>
<p>[ \&lt;/TSPServiceDefinitionURI&gt;] </p>
<p>[ \&lt;AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;ServiceCredentialTypes&gt;] </p>
<p>[ \&lt;CredentialType&gt;X.509\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;CredentialType&gt;did:web\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;/ServiceCredentialTypes&gt;] </p>
<p>[
\&lt;ServiceGovernanceURI&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceGovernanceURI&gt;] </p>
<p>[
\&lt;ServiceBusinessRules&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceBusinessRules&gt;] </p>
<p>[ \&lt;/AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;/ServiceInformation&gt;] </p>
<p>[ \&lt;/TSPService&gt;] </p>
<p>[ \&lt;TSPService&gt;] </p>
<p>[ \&lt;ServiceInformation&gt;] </p>
<p>[
\&lt;ServiceTypeIdentifier&gt;https://onboarding.membership.notary1.federation.com\&lt;/ServiceTypeIdentifier&gt;] </p>
<p>[ \&lt;ServiceName&gt;] </p>
<p>[ \&lt;Name xml:lang=\"en\"&gt;Federation Onboarding
Credential\&lt;/Name&gt;] </p>
<p>[ \&lt;/ServiceName&gt;] </p>
<p>[ \&lt;ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;x509&gt;242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\&lt;/x509&gt;] </p>
<p>[ \&lt;did&gt;did:web:notary.federation1.com\&lt;/did&gt;] </p>
<p>[ \&lt;/ServiceDigitalIdentity&gt;] </p>
<p>[
\&lt;ServiceStatus&gt;http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\&lt;/ServiceStatus&gt;] </p>
<p>[
\&lt;StatusStartingTime&gt;2022-09-29T22:00:00Z\&lt;/StatusStartingTime&gt;] </p>
<p>[ \&lt;ServiceSupplyPoints&gt;] </p>
<p>[
\&lt;ServiceSupplyPoint&gt;https://onboarding.membership.notary1.federation.com\&lt;/ServiceSupplyPoint&gt;] </p>
<p>[ \&lt;/ServiceSupplyPoints&gt;] </p>
<p>[ \&lt;TSPServiceDefinitionURI&gt;] </p>
<p>[
\&lt;URI&gt;https://notary1.info/schema/V-2022-1/participant_membership.json\&lt;/URI&gt;] </p>
<p>[ \&lt;/TSPServiceDefinitionURI&gt;] </p>
<p>[ \&lt;AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;ServiceCredentialTypes&gt;] </p>
<p>[ \&lt;CredentialType&gt;X.509\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;CredentialType&gt;did:web\&lt;/CredentialType&gt;] </p>
<p>[ \&lt;/ServiceCredentialTypes&gt;] </p>
<p>[
\&lt;ServiceGovernanceURI&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceGovernanceURI&gt;] </p>
<p>[
\&lt;ServiceBusinessRules&gt;https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\&lt;/ServiceBusinessRules&gt;] </p>
<p>[ \&lt;/AdditionalServiceInformation&gt;] </p>
<p>[ \&lt;/ServiceInformation&gt;] </p>
<p>[ \&lt;/TSPService&gt;] </p>
<p>[ \&lt;/TSPServices&gt;] </p>
<p>[ \&lt;/TrustServiceProvider&gt;] </p>
<p>[\&lt;/TrustServiceProviderList&gt;] </p>
<p>[\&lt;/TrustServiceStatusList&gt;] </p>
</blockquote>
<p>The details of every entity enrolled in the trust list are described
under the attribute <em>\&lt;TrustServiceProvider&gt;.</em> The ID of the entity is
under the attribute <em>\&lt;IssuerName&gt;.</em></p>
<p>Each entity in the trust list can have a Service Type Identifier under
the attribute \&lt;ServiceTypeIdentifier&gt;. This is a URL, and the web page
that it points to should contain the JSON schema (including the
\@context property) for the VCs that are issued for this Service Type.
In this way the verifier can find out which attributes the entity is
trusted to issue. This trust list also offers the flexibility to the
service provider to add different services with different schemas.</p>
<p>An example for a trust list in JSON format would look as follows:</p>
<p>{</p>
<p>\"TrustServiceStatusList\": {</p>
<p>\"SchemeInformation\": {</p>
<p>\"HistoricalInformationPeriod\": \"65535\",</p>
<p>\"ListIssueDateTime\": \"2022-09-27T00:00:00Z\",</p>
<p>\"NextUpdate\": \"2022-12-27T00:00:00Z\",</p>
<p>\"PolicyOrLegalNotice\": {</p>
<p>\"TSLLegalNotice\": {</p>
<p>\"#text\": \"This is an experimental list for the GXFS Federation
Notary.\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"SchemeInformationURI\": {</p>
<p>\"URI\": {</p>
<p>\"#text\": \"https://dl.gi.de/handle/20.500.12116/38702\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"SchemeName\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"DE:TRAIN\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"SchemeOperatorAddress\": {</p>
<p>\"ElectronicAddress\": {</p>
<p>\"URI\": [</p>
<p>{</p>
<p>\"#text\": \"mailto:mail@federation1.com\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>},</p>
<p>{</p>
<p>\"#text\": \"https://www.federation1.com\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>]</p>
<p>},</p>
<p>\"PostalAddresses\": {</p>
<p>\"PostalAddress\": {</p>
<p>\"@xml:lang\": \"en\",</p>
<p>\"CountryName\": \"DE\",</p>
<p>\"Locality\": \"K\u00f6ln\",</p>
<p>\"PostalCode\": \"50825\",</p>
<p>\"StreetAddress\": \"Lichtstra\u00dfe 43h\"</p>
<p>}</p>
<p>}</p>
<p>},</p>
<p>\"SchemeOperatorName\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"Federation 1 Notary\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"SchemeTerritory\": \"GLOBAL\",</p>
<p>\"SchemeTypeCommunityRules\": {</p>
<p>\"URI\": {</p>
<p>\"#text\": \"https://train.trustscheme.de
/schemerules/ngi.train.trustscheme.de\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"StatusDeterminationApproach\":
\"http://uri.etsi.org/TrstSvc/TrustedList/StatusDetn/EUappropriate\",</p>
<p>\"TSLSequenceNumber\": \"1\",</p>
<p>\"TSLType\":
\"http://uri.etsi.org/TrstSvc/TrustedList/TSLType/EUgeneric\",</p>
<p>\"TSLVersionIdentifier\": \"5\"</p>
<p>},</p>
<p>\"TrustServiceProviderList\": {</p>
<p>\"TrustServiceProvider\": {</p>
<p>\"StatusStartingTime\": {</p>
<p>\"dateTime\": \"2022-11-22T00:00:00Z\"</p>
<p>},</p>
<p>\"TSPCurrentStatus\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"Active\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"TSPInformation\": {</p>
<p>\"TSPAddress\": {</p>
<p>\"ElectronicAddress\": {</p>
<p>\"URI\": {</p>
<p>\"#text\": \"mailto:mail.notary1@federation.com\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"PostalAddresses\": {</p>
<p>\"PostalAddress\": {</p>
<p>\"@xml:lang\": \"en\",</p>
<p>\"CountryName\": \"DE\",</p>
<p>\"Locality\": \"K\u00f6ln\",</p>
<p>\"PostalCode\": \"50825\",</p>
<p>\"StreetAddress\": \"Lichtstra\u00dfe 43h\"</p>
<p>}</p>
<p>}</p>
<p>},</p>
<p>\"TSPCertificationList\": {</p>
<p>\"TSPCertification\": [</p>
<p>{</p>
<p>\"@xml:lang\": \"en\",</p>
<p>\"Scope\": null,</p>
<p>\"Type\": \"LEI\",</p>
<p>\"Value\": \"1234567\"</p>
<p>},</p>
<p>{</p>
<p>\"@xml:lang\": \"en\",</p>
<p>\"Scope\": null,</p>
<p>\"Type\": \"Gaia-X Compliance\",</p>
<p>\"Value\": \"1234567\"</p>
<p>},</p>
<p>{</p>
<p>\"@xml:lang\": \"en\",</p>
<p>\"Scope\": null,</p>
<p>\"Type\": \"eidas\",</p>
<p>\"Value\": \"1234567\"</p>
<p>}</p>
<p>]</p>
<p>},</p>
<p>\"TSPInformationURI\": {</p>
<p>\"URI\": {</p>
<p>\"#text\": \"https://notary1.info/TRAIN/info\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"TSPName\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"Notary 1\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"TSPTradeName\": {</p>
<p>\"Name\": [</p>
<p>{</p>
<p>\"#text\": \"NTRUK-SC090312\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>},</p>
<p>{</p>
<p>\"#text\": \"Notary Federation 1\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>]</p>
<p>}</p>
<p>},</p>
<p>\"TSPServices\": {</p>
<p>\"TSPService\": [</p>
<p>{</p>
<p>\"ServiceInformation\": {</p>
<p>\"AdditionalServiceInformation\": {</p>
<p>\"ServiceBusinessRules\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\",</p>
<p>\"ServiceCredentialTypes\": {</p>
<p>\"CredentialType\": [</p>
<p>\"X.509\",</p>
<p>\"did:web\"</p>
<p>]</p>
<p>},</p>
<p>\"ServiceGovernanceURI\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\"</p>
<p>},</p>
<p>\"ServiceDigitalIdentity\": {</p>
<p>\"did\": \"did:web:notary.federation1.com\",</p>
<p>\"x509\":
\"242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\"</p>
<p>},</p>
<p>\"ServiceName\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"Federation Participant Membership Credential\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"ServiceStatus\":
\"http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\",</p>
<p>\"ServiceSupplyPoints\": {</p>
<p>\"ServiceSupplyPoint\":
\"https://participant.membership.notary1.federation.com\"</p>
<p>},</p>
<p>\"ServiceTypeIdentifier\":
\"https://participant.membership.notary1.federation.com\",</p>
<p>\"StatusStartingTime\": \"2022-09-29T22:00:00Z\",</p>
<p>\"TSPServiceDefinitionURI\": {</p>
<p>\"URI\":
\"https://notary1.info/schema/V-2022-1/participant_membership.json\"</p>
<p>}</p>
<p>}</p>
<p>},</p>
<p>{</p>
<p>\"ServiceInformation\": {</p>
<p>\"AdditionalServiceInformation\": {</p>
<p>\"ServiceBusinessRules\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\",</p>
<p>\"ServiceCredentialTypes\": {</p>
<p>\"CredentialType\": [</p>
<p>\"X.509\",</p>
<p>\"did:web\"</p>
<p>]</p>
<p>},</p>
<p>\"ServiceGovernanceURI\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\"</p>
<p>},</p>
<p>\"ServiceDigitalIdentity\": {</p>
<p>\"did\": \"did:web:notary.federation1.com\",</p>
<p>\"x509\":
\"242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\"</p>
<p>},</p>
<p>\"ServiceName\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"Federation Principal Credential\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"ServiceStatus\":
\"http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\",</p>
<p>\"ServiceSupplyPoints\": {</p>
<p>\"ServiceSupplyPoint\": \"https://verifier.research.identiproof.io/\"</p>
<p>},</p>
<p>\"ServiceTypeIdentifier\":
\"https://principal.membership.notary1.federation.com\",</p>
<p>\"StatusStartingTime\": \"2022-09-29T22:00:00Z\",</p>
<p>\"TSPServiceDefinitionURI\": {</p>
<p>\"URI\":
\"https://notary1.info/schema/V-2022-1/participant_membership.json\"</p>
<p>}</p>
<p>}</p>
<p>},</p>
<p>{</p>
<p>\"ServiceInformation\": {</p>
<p>\"AdditionalServiceInformation\": {</p>
<p>\"ServiceBusinessRules\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\",</p>
<p>\"ServiceCredentialTypes\": {</p>
<p>\"CredentialType\": [</p>
<p>\"X.509\",</p>
<p>\"did:web\"</p>
<p>]</p>
<p>},</p>
<p>\"ServiceGovernanceURI\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\"</p>
<p>},</p>
<p>\"ServiceDigitalIdentity\": {</p>
<p>\"did\": \"did:web:notary.federation1.com\",</p>
<p>\"x509\":
\"242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\"</p>
<p>},</p>
<p>\"ServiceName\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"Federation Consumer Credential\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"ServiceStatus\":
\"http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\",</p>
<p>\"ServiceSupplyPoints\": {</p>
<p>\"ServiceSupplyPoint\": \"https://verifier.research.identiproof.io/\"</p>
<p>},</p>
<p>\"ServiceTypeIdentifier\":
\"https://consumer.membership.notary1.federation.com\",</p>
<p>\"StatusStartingTime\": \"2022-09-29T22:00:00Z\",</p>
<p>\"TSPServiceDefinitionURI\": {</p>
<p>\"URI\":
\"https://notary1.info/schema/V-2022-1/participant_membership.json\"</p>
<p>}</p>
<p>}</p>
<p>},</p>
<p>{</p>
<p>\"ServiceInformation\": {</p>
<p>\"AdditionalServiceInformation\": {</p>
<p>\"ServiceBusinessRules\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\",</p>
<p>\"ServiceCredentialTypes\": {</p>
<p>\"CredentialType\": [</p>
<p>\"X.509\",</p>
<p>\"did:web\"</p>
<p>]</p>
<p>},</p>
<p>\"ServiceGovernanceURI\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\"</p>
<p>},</p>
<p>\"ServiceDigitalIdentity\": {</p>
<p>\"did\": \"did:web:notary.federation1.com\",</p>
<p>\"x509\":
\"242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\"</p>
<p>},</p>
<p>\"ServiceName\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"Federation Resource Credential\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"ServiceStatus\":
\"http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\",</p>
<p>\"ServiceSupplyPoints\": {</p>
<p>\"ServiceSupplyPoint\":
\"https://resource.membership.notary1.federation.com\"</p>
<p>},</p>
<p>\"ServiceTypeIdentifier\":
\"https://resource.membership.notary1.federation.com\",</p>
<p>\"StatusStartingTime\": \"2022-09-29T22:00:00Z\",</p>
<p>\"TSPServiceDefinitionURI\": {</p>
<p>\"URI\":
\"https://notary1.info/schema/V-2022-1/participant_membership.json\"</p>
<p>}</p>
<p>}</p>
<p>},</p>
<p>{</p>
<p>\"ServiceInformation\": {</p>
<p>\"AdditionalServiceInformation\": {</p>
<p>\"ServiceBusinessRules\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\",</p>
<p>\"ServiceCredentialTypes\": {</p>
<p>\"CredentialType\": [</p>
<p>\"X.509\",</p>
<p>\"did:web\"</p>
<p>]</p>
<p>},</p>
<p>\"ServiceGovernanceURI\":
\"https://eur-lex.europa.eu/legal-content/EN/TXT/?uri=CELEX%3A32021R0953\"</p>
<p>},</p>
<p>\"ServiceDigitalIdentity\": {</p>
<p>\"did\": \"did:web:notary.federation1.com\",</p>
<p>\"x509\":
\"242364735r634785634857348957349587395473957395739573932458743rz3ufgf3hrfv3hfv3hfv3hfv3hf\"</p>
<p>},</p>
<p>\"ServiceName\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"Federation Onboarding Credential\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>},</p>
<p>\"ServiceStatus\":
\"http://uri.etsi.org/TrstSvc/TrustedList/Svcstatus/granted\",</p>
<p>\"ServiceSupplyPoints\": {</p>
<p>\"ServiceSupplyPoint\":
\"https://onboarding.membership.notary1.federation.com\"</p>
<p>},</p>
<p>\"ServiceTypeIdentifier\":
\"https://onboarding.membership.notary1.federation.com\",</p>
<p>\"StatusStartingTime\": \"2022-09-29T22:00:00Z\",</p>
<p>\"TSPServiceDefinitionURI\": {</p>
<p>\"URI\":
\"https://notary1.info/schema/V-2022-1/participant_membership.json\"</p>
<p>}</p>
<p>}</p>
<p>}</p>
<p>]</p>
<p>},</p>
<p>\"UID\": {</p>
<p>\"Name\": {</p>
<p>\"#text\": \"2325\",</p>
<p>\"@xml:lang\": \"en\"</p>
<p>}</p>
<p>}</p>
<p>}</p>
<p>}</p>
<p>}</p>
<p>}</p>
<h2 id="trusted-content-handling">Trusted Content Handling</h2>
<p>Trust lists and pointers to the trust lists will be summarized under the
term "Trusted Content" in the following.</p>
<h2 id="trusted-content-locations">Trusted Content Locations</h2>
<p>Pointers to trust frameworks will be placed as in the DNS of the Trust
Framework Operators.</p>
<p>Depending on requirements of the specific use case, trust lists can be
placed on https web</p>
<p>servers or in the IPFS. To maintain auditability and security against
manipulation, it is recommended that the Trust List is published in the
IPFS.</p>
<p>DID Documents can be placed on Ledgers, the IPFS or https web servers.</p>
<p>The Verifiable Credential with the Trust List URI can also be published
on the different locations as mentioned.</p>
<h2 id="enrolment-process-of-entities-in-trust-lists">Enrolment Process of Entities in Trust Lists</h2>
<p>The Notarization API will cover the enrolment of entities in trust
lists. The requirements that have to be fulfilled for enrolment are
dependent on the Trust Framework of the respective context, i.e., the
Gaia-X Trust Framework, the Trust Framework of a certain Federation,
etc. The technical process is triggered by the notary and executed by
the TSPA/Federator performing CRUD operations on the trust list that is
located on the Trusted Data Store.</p>
<h2 id="trusted-content-resolving">Trusted Content Resolving</h2>
<p>Resolving trusted content via trust list involves trust discovery and
trust validation processes. In order to resolve the trusted content, the
following data model is to be followed:</p>
<p><em>{</em></p>
<p><em>"IssuerDetails": "did:web:company.de"</em></p>
<p><em>"Trust Framework Pointer": ["federation1.com", "gaia-x.eu"],</em></p>
<p><em>"ServiceContentType": "gx-trust-list-issuer"</em></p>
<blockquote>
<p><em>}</em></p>
</blockquote>
<p>The term:</p>
<ul>
<li>
<p><em>"IssuerDetails\'\'</em> describes the DID or URI of the issuer
    credential</p>
</li>
<li>
<p><em>"Trust Framework Pointer\'\'</em> describes the trust frameworks
    mentioned in the termsofUse of the verifiable credential</p>
</li>
<li>
<p><em>"ServiceContentType"</em> is set by the Resolver to resolve the
    corresponding trust list. For example: gx-type-list-issuer contains
    the information of a trusted issuer trust list but if the resolver
    needs information regarding schema then it can point to
    "gx-trust-list-schemas". The following are minimum set of trusted
    content service types for TRAIN in Gaia-X:</p>
</li>
</ul>
<pre><code>&lt;!-- --&gt;
</code></pre>
<ul>
<li>
<p>gx-trust-list-issuer (format: Verifiable credentials, JSON)</p>
</li>
<li>
<p>gx-trust-list-schemas</p>
</li>
<li>
<p>gx-trust-list-policies</p>
</li>
<li>
<p>gx-trust-list-apps</p>
</li>
<li>
<p>gx-trust-list-verifier</p>
</li>
<li>
<p>gx-trust-list-authorities</p>
</li>
</ul>
<p>It is foreseen that a further analysis of the specific requirements of
the concrete use cases is performed. This analysis will define if a
specific type is needed and/or if further types will have to be added,
as well as the specific format and content of the types.</p>
<p>Please refer to the sections "Trust Verification" and "Unified Signature
&amp; Verification Model for Trust Lists via DID and VC" which describe in
detail the discovery process of the trust list and the step-by-step
validation.</p>
<h2 id="trusted-content-auditing">Trusted Content Auditing</h2>
<p>Depending on the requirements for auditability, different procedures are
recommended for the anchoring of trusted content:</p>
<hr />
<p>Requirement              Procedure</p>
<p>Trusted Content must be  Anchor all items into an audible, tamper-proof
  auditible up to          system (e.g., IPFS, Ledgers)
  Enrollment               </p>
<p>Trusted Content Creator  Anchor the DID in the DNS Zones (default)
  must be audible          </p>
<p>Trusted Content Location Anchor the URL in the DNS Zones
  must be anchored         </p>
<hr />
<p>Table 4: Procedures for auditability
requirements</p>
<p>Other options remain possible.</p>
<h2 id="setup-process-for-trust-verification">Setup Process for Trust Verification</h2>
<p>An entity performing trust verification, i.e., to check whether a
certain company is indeed a member of the specific Gaia-X Trust
Framework that it claims to be, the entity has to configure the DNS
names of the trust frameworks that it trusts in the Trusted Content
Resolver [10]. So, if it would choose to trust the Trust Framework
"Example" of the Gaia-X Federation "Federation1" it would configure the
Trusted Content Resolver for "<em>example.federation1.com</em>." And if it also
trusts the Trust Framework "Partners" of "Federation2" it would also add
"<em>partners.federation2.de."</em></p>
<h6 id="10-if-an-api-is-used-the-urls-of-the-train-apis-to-call-to-verify-the-membership-lists-have-to-be-set-up-as-well">[10] <u> If an API is used, the URL(s) of the TRAIN API(s) to call to verify the membership lists have to be set up as well.</u></h6>
<p>Additionally, the Trusted Content resolver can also configure what type
of trust lists needs to be resolved, as different types of trust lists
can be configured in the DID Document using service type. Examples are:
<em>gx-trust-list-issuer</em>, <em>gx-trust-list-verifier</em>,
<em>gx-trust-list-schemas</em>, <em>gx-trust-list-apps</em>,
<em>gx-trust-list-authorities</em>.</p>
<p>When the verifying entity receives a VC, it extracts the asserted trust
framework claims made by the issuer in the Terms of Use property. If it
trusts any of the claimed trust frameworks, it calls the Trusted Content
Resolver, passing it the URI of the issuer (taken from the VC, e.g.,
\"<em>did:example:123456789abcdefghi</em>\") and the DNS name of the trusted
trust framework that the VC Issuer purports to be a member of (e.g.,
\"Trust_Scheme_Pointer\": \"<em>example.federation1.com</em>\").</p>
<p>The Trusted Content Resolver will then check if the VC issuer is a
member of any of the trust lists pointed to by this trust framework, and
if so, return the Service Type URL to the Verifier. The verifier can
check that this URL is identical to the one in the credentialSchema
property, and if it is, use the schema contained at this URL to validate
that the attributes in the received VC match the schema for this Service
Type.</p>
<h2 id="packages-for-programming-languages">Packages for Programming Languages</h2>
<p>The Trusted Content Resolver will be developed for the following
programming languages:</p>
<ul>
<li>
<p>Java</p>
</li>
<li>
<p>Javascript</p>
</li>
<li>
<p>Go</p>
</li>
</ul>
<p><img alt="" src="../media/image8.png" /></p>
<p>Figure: Trusted Content Resolver</p>
<h2 id="conclusion-and-consequences">Conclusion and Consequences</h2>
<h2 id="security-consolidations-and-implications">Security consolidations and implications</h2>
<p>As a distributed database both in terms of organization of data as well
as responsibility for</p>
<p>operation and management, the DNS is very suitable for an infrastructure
that aims to</p>
<p>support integration and interoperation of various trust frameworks
across federations. The original design of the DNS did not consider a
number of attacks allowing miscreants to alter information retrieved via
the DNS. The Domain Name Service Security Extensions (DNSSEC) have been
developed to mitigate this problem. They allow users of the DNS to
verify that the data they received is indeed the data intended. This
ability for verification is vital for use of DNS in the context of a
trust infrastructure.</p>
<p>However, this also means that the secure control of the DNS is essential
for a trust framework provider in TRAIN. Hence, TRAIN requires secure
organizational governance of the DNS processes at the DNS controller
responsible for creating the Trust Schemes/Trust Frameworks and setting
the pointers to locations of the Trust Lists.</p>
<h2 id="advanced-concepts">Advanced Concepts</h2>
<h3 id="integration-with-the-ethereum-name-service-ens">Integration with the Ethereum Name Service (ENS)</h3>
<p>A potential for further development would be to evaluate further the use
of Ethereum ledger based DIDs as pointers to the Trust Lists. This could
leverage the trust of Smart Contracts and a decentralized consensus
mechanism. The Ethereum Name Service (ENS) is a distributed, open, and
extensible naming system based on the Ethereum blockchain.[11] ENS
supports text records as well as reverse resolution. Hence, there is a
potential for TRAIN to use ENS complementary to DNS/DNSSEC. However, the
ENS is not as mature and established as DNS/DNSSEC and this approach
would need further research.</p>
<h6 id="11-httpsdocsensdomains">[11] <a href="https://docs.ens.domains/"><u>[https://docs.ens.domains/]</u></a></h6>
<h2 id="establishment-of-trust-against-man-in-the-middle-attacks-pcm-and-ocm">Establishment of Trust against Man-in-the-Middle Attacks: PCM and OCM</h2>
<p>Further investigation would be required in order to evaluate how Trust
Lists can be leveraged to protect against Man-in-the-Middle Attacks
between different components. This would be particularly important for
interactions between Personal Credential Manager (PCM) and
Organizational Credential Manager (OCM).</p>
<h2 id="verification-of-the-verifier-from-the-holder">Verification of the Verifier from the Holder</h2>
<p>The following figure shows how TRAIN can be used to establish trust into
the verifier. To enable this, a certain authority, such as a specific
Gaia-X Federation, has to develop a Trust Framework that specifies how a
verifier can be trustworthy (and potentially which verifiers can be
trusted to receive which information). Verifiers complying with these
requirements will be enrolled via their DID to the trusted verifiers
trust list of this Gaia-X Federation.</p>
<p>Now, before a VC is exchanged, the verifier passes the
Trust_Scheme_Pointer in the presentation request to the holder. With
this, the verifier claims membership in a certain verifier trust
framework/scheme. It follows a validation process as described above -
only that it is initiated from the holder. After this validation is
successful, the requested data can be passed to the verifier.</p>
<p><img alt="" src="../media/image9.png" /></p>
<p>Figure 9: TRAIN in the "Triangle of Trust":
Trusted Verifiers</p>
<h2 id="support-of-federation-membership-verification-in-the-oidc4vp-standard">Support of Federation Membership Verification in the OIDC4VP Standard</h2>
<p>The following section is for information purposes. The use of TRAIN is
explicitly referenced in the implementation considerations of the
OIDC4VP at:
[https://openid.net/specs/openid-connect-4-verifiable-presentations-1_0.html#name-implementation-consideratio] 
It is written there: "Trust schemes that conform to the TRAIN trust
scheme are identified by the type https://train.trust-scheme.de/info.
Individual federations are identified by their DNS names.An example
claims parameter containing a presentation_definition that filters VCs
based on their federation memberships is given below."</p>
<p>{</p>
<p>\"vp_token\": {</p>
<p>\"presentation_definition\": {</p>
<p>\"id\": \"32f54163-7166-48f1\",</p>
<p>\"input_descriptors\": [</p>
<p>{</p>
<p>\"id\": \"federationExample\",</p>
<p>\"purpose\": \"To pick a UK university that is a member of the UK
academic federation\",</p>
<p>\"constraints\": {</p>
<p>\"fields\": [</p>
<p>{</p>
<p>\"path\": [</p>
<p>\"\$.termsOfUse.type\"</p>
<p>],</p>
<p>\"filter\": {</p>
<p>\"type\": \"string\",</p>
<p>\"const\": \"https://train.trust-scheme.de/info\"</p>
<p>}</p>
<p>},</p>
<p>{</p>
<p>\"path\": [</p>
<p>\"\$.termsOfUse.federations\"</p>
<p>],</p>
<p>\"filter\": {</p>
<p>\"type\": \"string\",</p>
<p>\"const\": \"ukuniversities.ac.uk\"</p>
<p>}</p>
<p>}</p>
<p>]</p>
<p>}</p>
<p>}</p>
<p>]</p>
<p>}</p>
<p>}</p>
<p>}</p>
<p>This example will choose a VC that has been issued by a university that
is a member of the ukuniversities.ac.uk federation and that uses the
TRAIN terms of use specification for asserting federation memberships.</p>
              
            </div>
          </div><footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="Footer Navigation">
        <a href="../../train/train/" class="btn btn-neutral float-left" title="Train"><span class="icon icon-circle-arrow-left"></span> Previous</a>
        <a href="../../ocme1/ocme1/" class="btn btn-neutral float-right" title="Ocme1">Next <span class="icon icon-circle-arrow-right"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
  </div>

  Built with <a href="https://www.mkdocs.org/">MkDocs</a> using a <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
          
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" aria-label="Versions">
  <span class="rst-current-version" data-toggle="rst-current-version">
    
    
      <span><a href="../../train/train/" style="color: #fcfcfc">&laquo; Previous</a></span>
    
    
      <span><a href="../../ocme1/ocme1/" style="color: #fcfcfc">Next &raquo;</a></span>
    
  </span>
</div>
    <script src="../../js/jquery-3.6.0.min.js"></script>
    <script>var base_url = "../..";</script>
    <script src="../../js/theme_extra.js"></script>
    <script src="../../js/theme.js"></script>
      <script src="../../search/main.js"></script>
    <script>
        jQuery(function () {
            SphinxRtdTheme.Navigation.enable(true);
        });
    </script>

</body>
</html>
